#include <iostream>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);
	int N, i, j, k, br=0, uneto = 0;
	cin >> N;
	int X[N], Y[N], Z[N];
	for (i = 0; i < N; i++) {
		cin >> X[i];
	}
    for (j = 0; j < N; j++) {
        cin >> Y[j];
    }
    for (i = 0; i < N; i++){
        for(j = 0; j < N; j++) {
            if(X[i] == Y[j]){
                for (k = 0; k < N; k++) {
                    if(uneto < N){
                        cin >> Z[k];
                        uneto++;
                    }
                    if(Z[k] == j+1) {
                        br++;
                    }
                }
            }
        }
    }
    cout << br;
    return 0;
}